{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function security_check, set_printer, get_printer, msg, entid, repository\r\ndeclare subroutine print_packing_slip\r\ndeclare subroutine security_err_msg\r\n\r\n$insert security_rights_equ\r\n$insert oiprint_equates\r\n$insert msg_equates\r\n$insert company_equ\r\n$insert logical\r\n\r\nif security_check( 'COC', Print$ ) then\r\n\tif @@window->savewarn = true$ then\r\n\t   MsgInfo = ''\r\n\t   MsgInfo<mtext$> = 'You need to save this COC before printing.'\r\n\t   MsgInfo<micon$> = '!'\r\n\t   Void = msg( '', MsgInfo )\r\n\t   return 0\r\n\tend else\r\n\t   COC = .coc_no->text\r\n\t   print_packing_slip( COC )\r\n\tend\r\nend else\r\n    security_err_msg( 'COC', Print$ )\r\nend\r\nRETURN 0"
        }
    }
}